Freeciv-3.1: text_tag Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
text_tag Struct Reference

## Data Fields

enum text_tag_type | type
ft_offset_t | start_offset
ft_offset_t | stop_offset
union { |
struct { |
char foreground [MAX_LEN_STR] |
char background [MAX_LEN_STR] |
} color |
struct { |
enum text_link_type type |
int id |
char name [MAX_LEN_STR] |
} link |
}; |  |

## Detailed Description

Definition at line 49 of file featured_text.c.

## Field Documentation

## ◆ [union]

union { ... } text_tag

## ◆ background

char text_tag::background[MAX_LEN_STR]

Definition at line 56 of file featured_text.c.

Referenced by text_tag_color_background(), text_tag_init_from_sequence(), text_tag_initv(), and text_tag_start_sequence().

## ◆ [struct]

struct { ... } text_tag::color

Referenced by text_tag_color_background(), text_tag_color_foreground(), text_tag_init_from_sequence(), text_tag_initv(), and text_tag_start_sequence().

## ◆ foreground

char text_tag::foreground[MAX_LEN_STR]

Definition at line 55 of file featured_text.c.

Referenced by text_tag_color_foreground(), text_tag_init_from_sequence(), text_tag_initv(), and text_tag_start_sequence().

## ◆ id

int text_tag::id

Definition at line 60 of file featured_text.c.

Referenced by text_tag_init_from_sequence(), text_tag_initv(), text_tag_link_id(), text_tag_replace_text(), and text_tag_start_sequence().

## ◆ [struct]

struct { ... } text_tag::link

Referenced by text_tag_init_from_sequence(), text_tag_initv(), text_tag_link_id(), text_tag_link_type(), text_tag_replace_text(), and text_tag_start_sequence().

## ◆ name

char text_tag::name[MAX_LEN_STR]

Definition at line 61 of file featured_text.c.

Referenced by text_tag_init_from_sequence(), text_tag_initv(), and text_tag_replace_text().

## ◆ start_offset

ft_offset_t text_tag::start_offset

Definition at line 51 of file featured_text.c.

Referenced by featured_text_apply_tag(), text_tag_init_from_sequence(), text_tag_initv(), text_tag_new(), text_tag_start_offset(), text_tag_start_sequence(), and text_tag_stop_sequence().

## ◆ stop_offset

ft_offset_t text_tag::stop_offset

Definition at line 52 of file featured_text.c.

Referenced by featured_text_apply_tag(), featured_text_to_plain_text(), text_tag_init_from_sequence(), text_tag_initv(), text_tag_new(), text_tag_start_sequence(), text_tag_stop_offset(), and text_tag_stop_sequence().

## ◆ type [1/2]

enum text_tag_type text_tag::type

Definition at line 50 of file featured_text.c.

Referenced by text_tag_color_background(), text_tag_color_foreground(), text_tag_init_from_sequence(), text_tag_initv(), text_tag_link_id(), text_tag_link_type(), text_tag_replace_text(), text_tag_start_sequence(), text_tag_stop_sequence(), and text_tag_type().

## ◆ type [2/2]

enum text_link_type text_tag::type

Definition at line 59 of file featured_text.c.